@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body {
    transition: background-color 0.5s ease; 
    font-family: "Poppins", serif;
    background: #1c1c1c;
    color: white;
}

.container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

h3 {
    text-align: center;
    font-size: 2rem
}


p {
    text-align: center;
    font-size: 1rem;
    padding: 0 0 25px 0;
    max-width: 800px;
}

#palindromeText {
    text-align: center;
    font-size: 1.2rem;
    font-weight: bold;
}


.form {
    display: flex;
    align-items: center;
    justify-content: center;
}

button {
    border-radius: 15px;
    padding: 10px 30px;
    transition: filter 0.3s ease;
    cursor: pointer;
}

button:hover {
    filter: brightness(0.8)
}

input {
    padding: 10px;
    border-radius: 15px;
    width: 70%;
    margin-right: 10px;
}

.btn {
    display:flex;
    align-items: center;
    justify-content: center;
}

.btn button {
    margin: 10px;
}

a {
    text-align: center;
    color: black;
    text-decoration: none;
}